KParts::BrowserHostExtension Class Reference

`#include <browserextension.h>`

Inherits QObject.

## Public Member Functions

| BrowserHostExtension (KParts::ReadOnlyPart *parent, const char *name=0L)
virtual QStringList | frameNames () const
virtual const QPtrList < KParts::ReadOnlyPart > | frames () const
BrowserHostExtension * | findFrameParent (KParts::ReadOnlyPart *callingPart, const QString &frame)
virtual bool | openURLInFrame (const KURL &url, const KParts::URLArgs &urlArgs)

## Static Public Member Functions

static BrowserHostExtension * | childObject (QObject *obj)

## Protected Types

enum | { VIRTUAL_FIND_FRAME_PARENT = 0x10 }

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

An extension class for container parts, i.e.

parts that contain other parts. For instance a KHTMLPart hosts one part per frame.

Definition at line 724 of file browserextension.h.

## Member Enumeration Documentation

anonymous enum

protected

This 'enum' along with the structure below is NOT part of the public API.

It's going to disappear in KDE 4.0 and is likely to change inbetween.

Definition at line 772 of file browserextension.h.

## Member Function Documentation

BrowserHostExtension * BrowserHostExtension::childObject | ( | QObject * | obj | ) |

static

Queries `obj` for a child object which inherits from this BrowserHostExtension class.

Convenience method.

Definition at line 667 of file browserextension.cpp.

BrowserHostExtension * BrowserHostExtension::findFrameParent | ( | KParts::ReadOnlyPart * | callingPart,
|  | const QString & | frame
| ) |  |

Returns the part that contains `frame` and that may be accessed by `callingPart`.

Since
  3.3

Definition at line 687 of file browserextension.cpp.

QStringList BrowserHostExtension::frameNames | ( |  | ) | const

virtual

Returns a list of the names of all hosted child objects.

Note that this method does not query the child objects recursively.

Definition at line 652 of file browserextension.cpp.

const QPtrList< KParts::ReadOnlyPart > BrowserHostExtension::frames | ( |  | ) | const

virtual

Returns a list of pointers to all hosted child objects.

Note that this method does not query the child objects recursively.

Definition at line 657 of file browserextension.cpp.

bool BrowserHostExtension::openURLInFrame | ( | const KURL & | url,
|  | const KParts::URLArgs & | urlArgs
| ) |  |

virtual

Opens the given url in a hosted child frame.

The frame name is specified in the frameName variable in the urlArgs argument structure (see KParts::URLArgs ) .

Definition at line 662 of file browserextension.cpp.

The documentation for this class was generated from the following files:

- browserextension.h
- browserextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys